This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 211030 - (raid456) mkinitrd fails to include raid5 module with kernel 2.6.18->panic
mkinitrd fails to include raid5 module with kernel 2.6.18->panic
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
David Lawrence
bzcl34nup
:
: 208382 211060 211358 214157 214937 220269 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-16 16:48 EDT by Dieter Stolte
Modified: 2008-05-06 12:29 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:29:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
mkinitrd raid fix (435 bytes, patch)
2006-12-26 21:53 EST, Dieter Stolte
no flags Details | Diff

  None (edit)
Description Dieter Stolte 2006-10-16 16:48:06 EDT
Description of problem:
while installing the new kernel the scripts dont include the raid5 module
anymore. the reason seems to be that the raid module name has changed from
raid5.ko in 2.6.17 to raid456.ko in 2.6.18:
[root@gandalf boot]# find /lib/modules/2.6.17-1.2174_FC5/ -name "raid*"
/lib/modules/2.6.17-1.2174_FC5/kernel/drivers/scsi/raid_class.ko
/lib/modules/2.6.17-1.2174_FC5/kernel/drivers/md/raid5.ko
/lib/modules/2.6.17-1.2174_FC5/kernel/drivers/md/raid10.ko
/lib/modules/2.6.17-1.2174_FC5/kernel/drivers/md/raid1.ko
/lib/modules/2.6.17-1.2174_FC5/kernel/drivers/md/raid6.ko
/lib/modules/2.6.17-1.2174_FC5/kernel/drivers/md/raid0.ko

[root@gandalf boot]# find /lib/modules/2.6.18-1.2200.fc5/ -name "raid*"
/lib/modules/2.6.18-1.2200.fc5/kernel/drivers/scsi/raid_class.ko
/lib/modules/2.6.18-1.2200.fc5/kernel/drivers/md/raid10.ko
/lib/modules/2.6.18-1.2200.fc5/kernel/drivers/md/raid1.ko
/lib/modules/2.6.18-1.2200.fc5/kernel/drivers/md/raid456.ko
/lib/modules/2.6.18-1.2200.fc5/kernel/drivers/md/raid0.ko

The xor.ko module is also missing in the new initrd which is probably related to
this misbehaviour. Result is that the new kernel cannot mount the system
partitions and panics.


Version-Release number of selected component (if applicable):
mkinitrd-5.0.32-2
kernel-2.6.18-1.2200.fc5

How reproducible:
always

Steps to Reproduce:
1. upgrade to kernel kernel-2.6.18-1.2200.fc5
2. boot
3.
  
Actual results:
misbuilt initrd and kernel panic at boot

Expected results:
correct initrd and a running system of course :)

Additional info:
[root@gandalf boot]# cat initrd-2.6.17-1.2174_FC5.img|gzip -d|cpio -t
etc
etc/lvm
etc/lvm/lvm.conf
dev
dev/ttyS3
dev/ttyS1
dev/tty6
dev/ptmx
dev/tty0
dev/tty8
dev/ttyS0
dev/tty11
dev/zero
dev/console
dev/tty10
dev/ttyS2
dev/tty9
dev/tty2
dev/tty5
dev/rtc
dev/tty1
dev/tty12
dev/tty4
dev/null
dev/ram
dev/mapper
dev/systty
dev/ram1
dev/tty7
dev/tty
dev/tty3
dev/md1
dev/ram0
proc
sys
lib
lib/dm-zero.ko
lib/dm-mirror.ko
lib/sata_nv.ko
lib/scsi_mod.ko
lib/libata.ko
lib/dm-mod.ko
lib/jbd.ko
lib/sd_mod.ko
lib/dm-snapshot.ko
lib/xor.ko
lib/ext3.ko
lib/sata_sil.ko
lib/raid5.ko
bin
bin/modprobe
bin/nash
bin/insmod
bin/lvm
sysroot
sbin
init

[root@gandalf boot]# cat initrd-2.6.18-1.2200.fc5.img|gzip -d|cpio -t
etc
etc/lvm
etc/lvm/lvm.conf
dev
dev/ttyS3
dev/ttyS1
dev/tty6
dev/ptmx
dev/tty0
dev/tty8
dev/ttyS0
dev/tty11
dev/zero
dev/console
dev/tty10
dev/ttyS2
dev/tty9
dev/tty2
dev/tty5
dev/rtc
dev/tty1
dev/tty12
dev/tty4
dev/null
dev/ram
dev/mapper
dev/systty
dev/ram1
dev/tty7
dev/tty
dev/tty3
dev/md1
dev/ram0
proc
sys
lib
lib/dm-zero.ko
lib/dm-mirror.ko
lib/sata_nv.ko
lib/scsi_mod.ko
lib/libata.ko
lib/dm-mod.ko
lib/jbd.ko
lib/sd_mod.ko
lib/dm-snapshot.ko
lib/ext3.ko
lib/sata_sil.ko
bin
bin/modprobe
bin/nash
bin/insmod
bin/lvm
sysroot
sbin
init
Comment 1 Ian Pilcher 2006-10-16 19:33:53 EDT
Until this is fixed, does anyone know how to create an initrd that will boot from
a RAID-5 root?
Comment 2 Dieter Stolte 2006-10-17 02:16:39 EDT
Ian Pilcher:

Try this:
# mv initrd-2.6.18-1.2200.fc5.img initrd-2.6.18-1.2200.fc5.img.bak
# mkinitrd --with=raid456 /boot/initrd-2.6.18-1.2200.fc5.img 2.6.18-1.2200.fc5
Comment 3 Dave Jones 2006-10-18 16:59:10 EDT
*** Bug 211358 has been marked as a duplicate of this bug. ***
Comment 4 Dave Jones 2006-10-20 15:40:41 EDT
*** Bug 208382 has been marked as a duplicate of this bug. ***
Comment 5 Dave Jones 2006-10-20 15:40:57 EDT
*** Bug 211060 has been marked as a duplicate of this bug. ***
Comment 6 Clyde E. Kunkel 2006-11-04 12:28:54 EST
still failing to install raid456.ko

Have to:
mkinitrd -v -f --with=raid456 /boot/initrd-2.6.18-1.2224.fc5smp.img
2.6.18-1.2224.fc5smp

which results in:
....
Adding module scsi_mod
Adding module sd_mod
Adding module libata
Adding module sata_promise
Adding module ata_piix
Adding module jbd
Adding module ext3
Adding module dm-mod
Adding module dm-mirror
Adding module dm-zero
Adding module dm-snapshot
Adding module xor
Adding module raid456
...

which leads to a good .img file.
Comment 7 Dave Jones 2006-11-12 00:37:31 EST
*** Bug 214157 has been marked as a duplicate of this bug. ***
Comment 8 Chris Schanzle 2006-11-15 12:56:05 EST
still failing to install raid456 switching from kernel
kernel-smp-2.6.17-1.2187_FC5 to kernel-smp-2.6.18-1.2239.fc5 with mkinitrd-5.0.32-2

Threw me I kickstarted a box with raid5 as the underlying device for LVM,
rebooted okay the first time, yet after installing new kernel, failed to mount root.

Come on, DaveJ, lots of people are hitting this bug!  Shall I work on a patch or
are you working on it already?
Comment 9 Clyde E. Kunkel 2006-11-15 14:27:37 EST
Could the patch in: 

https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=134188

be used?
Comment 10 Dave Jones 2006-11-24 16:11:44 EST
*** Bug 214937 has been marked as a duplicate of this bug. ***
Comment 11 Dale Bewley 2006-12-25 17:54:21 EST
Still a problem with 2.6.18-1.2257.fc5 x86_64 quad proc.
Comment 12 Gilboa Davara 2006-12-26 04:38:47 EST
... Same here.
Dual Opteron 248, 2GB, RAID5/SATA.

Sigh.

- Gilboa
Comment 13 Clyde E. Kunkel 2006-12-26 12:48:22 EST
mkinitrd is broken in rawhide also as far as software raid is concerned.  I 
understand the engineers are aware of the problme and it is on a to-do list.  
No response to comment #9 AFAICT.  Looking for action after the New Year...
Comment 14 Dieter Stolte 2006-12-26 21:53:24 EST
Created attachment 144383 [details]
mkinitrd raid fix

This patch tries to fix the initrd problem. Unfortunately it is not backward
compatible (yet).
Comment 15 Mr Watkins 2007-01-12 22:56:20 EST
Same problem with raid6.ko, I bet you knew that!

My / is raid6.

kernel-smp-2.6.18-1.2257.fc5
mkinitrd-5.0.32-2
Comment 16 Mate Wierdl 2007-03-13 01:29:43 EDT
*** Bug 220269 has been marked as a duplicate of this bug. ***
Comment 17 Mate Wierdl 2007-03-13 01:37:17 EDT
The latest kernel for fc5, kernel-2.6.19-1.2288.2.4.fc5, still has the bug.
How about the kernels for fc6?
Comment 18 Dieter Stolte 2007-03-13 04:32:10 EDT
I really wish someone would apply my attached patch. It works well for me and
could close this bug. The missing backward compatibility for kernels < 2.6.18
should not be a problem as noone with a new fixed mkinitrd will install such old
kernels, imho.
Comment 19 Gilboa Davara 2008-03-06 07:32:02 EST
FC5 is not longer supported.
Haven't seen this bug in F7/8.

Unless I'm wrong, this bug can be closed.
Comment 20 Clyde E. Kunkel 2008-03-06 10:22:27 EST
This was fixed shortly after reported.  Don't know why it wasn't closed.
Comment 21 Bug Zapper 2008-04-03 23:59:38 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 22 Bug Zapper 2008-05-06 12:29:16 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.